/contracts

Retrieves contract vault records based on provided criteria.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
date-time

Filter to get only records that have a startTimestamp value that is less than or equal to the given value. If endTimestamp__lte is not provided, this parameter is required.

date-time

Filter to get only records that have a startTimestamp value that is more than or equal to the given value.

date-time

Filter to get only records that have an endTimestamp value that is less than or equal to the given value. If startTimestamp__lte is not provided, this parameter is required.

date-time

Filter to get only records that have an endTimestamp value that is more than or equal to the given value.

string

Filter to get only records that have an ID that equals one of the given parameter values.

string

Filter records by a specific layout ID.

agentFirstName__in
array of strings

Filter to return records where the agent's first name matches any of the provided values. The lookup is exact but case-insensitive.

agentFirstName__in
string

Filter to return records where the agent's first name contains the provided substring. The lookup is exact but case-insensitive.

agentLastName__in
array of strings

Filter to return records where the agent's last name matches any of the provided values. The lookup is exact but case-insensitive.

agentLastName__in
string

Filter to return records where the agent's last name contains the provided substring. The lookup is exact but case-insensitive.

agentEmail__in
array of strings

Filter records where the agent's email address matches any of the provided values. The lookup is exact but case-insensitive.

agentEmail__in
string

Filter records where the agent's email address contains the provided substring. The lookup is exact but case-insensitive.

managerFirstName__in
array of strings

Filter to return records where the manager's first name matches any of the provided values. The lookup is exact but case-insensitive.

managerFirstName__in
string

Filter to return records where the manager's first name contains the provided substring. The lookup is exact but case-insensitive.

string

Filter to return records where the manager's last name matches any of the provided values. The lookup is exact but case-insensitive.

string

Filter to return records where the manager's last name contains the provided substring. The lookup is exact but case-insensitive.

customerFirstName__in
array of strings

Filter to return records where the customer's first name matches any of the provided values. This can be used to find either the primary or secondary customer associated with the contract. The lookup is exact but case-insensitive.

customerFirstName__in
string

Filter to return records where the customer's first name contains the provided substring. This can be used to find either the primary or secondary customer associated with the contract. The lookup is exact but case-insensitive.

customerLastName__in
array of strings

Filter to return records where the customer's last name matches any of the provided values. This can be used to find either the primary or secondary customer associated with the contract. The lookup is exact but case-insensitive.

customerLastName__in
string

Filter to return records where the customer's last name contains the provided substring. This can be used to find either the primary or secondary customer associated with the contract. The lookup is exact but case-insensitive.

string

Filter to return records where the stock number matches any of the provided values. The number must be an exact match.

string

Token string value that references a page for pagination. This value is received when retrieving the first page in the nextPageToken and prevPageToken fields. When a pageToken is provided, the backend remembers search parameters from the original request, so search parameters that affect the result set or order are optional and will be ignored if provided. Representation parameters like include should still be applied.

integer
1 to 500
Defaults to 100

The number of entries to return per page. The maximum range of valid page sizes is documented with minimum and maximum values, but the range might be further limited dynamically based on the requested information, account, and system status. Values outside of the (dynamic) allowed range will not result in an error, but will be clamped to the nearest limit. Thus, logic to detect the last page should not be based on comparing the requested size with the received size, but on the existence of a nextPageToken value.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json